/*++

Copyright (c) 2007, Intel Corporation                                                         
All rights reserved. This program and the accompanying materials                          
are licensed and made available under the terms and conditions of the BSD License         
which accompanies this distribution.  The full text of the license may be found at        
http://opensource.org/licenses/bsd-license.php                                            
                                                                                          
THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,                     
WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.             

Module Name:

    Example.c
    
Abstract: 
    

Revision History
--*/

#include "Tiano.h"
#include "EfiDriverLib.h"
#include "EfiPrintLib.h"

EFI_DRIVER_ENTRY_POINT (ExampleEntryPoint)

EFI_STATUS
EFIAPI
ExampleEntryPoint (
  IN EFI_HANDLE         ImageHandle,
  IN EFI_SYSTEM_TABLE   *SystemTable
  )
{
  UINT16  A;
  UINT16  B;

  EfiInitializeDriverLib (ImageHandle, SystemTable);

  Print(L"PortDemo3\n\r");

  A = 0x1234;
  B = A & 0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  A = 0x1234;
  B = A & (UINTN)0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  A = 0x1234;
  B = A & (UINT8)0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  A = 0x1234;
  B = A & (UINT16)0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  A = 0x1234;
  B = A & (UINT32)0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  A = 0x1234;
  B = A & (UINT64)0xff;

  Print(L"A = %04x  B = %04x\n\r", A, B);

  Print(L"Done\n\r");

  return EFI_SUCCESS;
}